/*
 * Copyright (C) 2024 iopsys Software Solutions AB
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2.1
 * as published by the Free Software Foundation
 *
 *	Author: Amit Kumar <amit.kumar@iopsys.eu>
 *	Author: Mohd Husaam Mehdi <husaam.mehdi@iopsys.eu>
 *
 */

#ifndef __NAT_PORTTRIGGER_H
#define __NAT_PORTTRIGGER_H

#include "libbbfdm-api/dmcommon.h"

extern DMOBJ tNATPortTriggerObj[];
extern DMLEAF tNATPortTriggerParams[];

int browseNATPortTriggerInst(struct dmctx *dmctx, DMNODE *parent_node, void *prev_data, char *prev_instance);
int addObjNATPortTrigger(char *refparam, struct dmctx *ctx, void *data, char **instance);
int delObjNATPortTrigger(char *refparam, struct dmctx *ctx, void *data, char *instance, unsigned char del_action);
int get_NAT_PortTriggerNumberOfEntries(char *refparam, struct dmctx *ctx, void *data, char *instance, char **value);

#endif
